#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeframever	6.16
%define		kf_ver		%{version}
%define		qt_ver		6.7.0
%define		kfname		baloo
Summary:	A file indexing and file search framework
Summary(pl.UTF-8):	Szkielet indeksowania i wyszukiwania plików
Name:		kf6-%{kfname}
Version:	6.16.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	184187278a6496cf8308adbceb3b3c79
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kcrash-devel >= %{kf_ver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kfilemetadata-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kidletime-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-solid-devel >= %{kf_ver}
BuildRequires:	lmdb-devel
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6DBus >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	kf6-dirs
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kcrash >= %{kf_ver}
Requires:	kf6-kdbusaddons >= %{kf_ver}
Requires:	kf6-kfilemetadata >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kidletime >= %{kf_ver}
Requires:	kf6-kio >= %{kf_ver}
Requires:	kf6-solid >= %{kf_ver}
Provides:	kf5-baloo-service = %{version}-%{release}
Obsoletes:	kf5-baloo-service < 6
Conflicts:	kde4-baloo
Conflicts:	kf5-baloo < 5.116.0-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Baloo is the file indexing and file search framework for KDE.

Baloo focuses on providing a very small memory footprint along with
with extremely fast searching. It internally uses a mixture of SQLite
along with Xapian to store the file index.

%description -l pl.UTF-8
Baloo to szkielet indeksowania i wyszukiwania plików dla KDE.

Skupia się na połączeniu bardzo małego zużycia pamięci wraz z bardzo
szybkim wyszukiwaniem. Wewnętrznie używa połączenia rozwiązań SQLite i
Xapian do przchowywania indeksu plików.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	kf6-kcoreaddons-devel >= %{kf_ver}
Requires:	kf6-kfilemetadata-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kfname}6 --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/balooctl6
%attr(755,root,root) %{_bindir}/baloosearch6
%attr(755,root,root) %{_bindir}/balooshow6
%attr(755,root,root) %{_libexecdir}/kf6/baloo_file
%attr(755,root,root) %{_libexecdir}/kf6/baloo_file_extractor
%attr(755,root,root) %{_libdir}/libKF6Baloo.so.*.*.*
%ghost %{_libdir}/libKF6Baloo.so.6
%attr(755,root,root) %{_libdir}/libKF6BalooEngine.so.*.*.*
%ghost %{_libdir}/libKF6BalooEngine.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/baloosearchmodule.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/baloosearch.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/tags.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/timeline.so
%dir %{_libdir}/qt6/qml/org/kde/baloo
%{_libdir}/qt6/qml/org/kde/baloo/balooplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/baloo/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/baloo/libbalooplugin.so
%{_libdir}/qt6/qml/org/kde/baloo/qmldir
%dir %{_libdir}/qt6/qml/org/kde/baloo/experimental
%{_libdir}/qt6/qml/org/kde/baloo/experimental/baloomonitorplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/baloo/experimental/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/baloo/experimental/libbaloomonitorplugin.so
%{_libdir}/qt6/qml/org/kde/baloo/experimental/qmldir
%{_datadir}/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.main.xml
%{_datadir}/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%{_datadir}/qlogging-categories6/baloo.categories
%{_datadir}/qlogging-categories6/baloo.renamecategories
%{systemduserunitdir}/kde-baloo.service
/etc/xdg/autostart/baloo_file.desktop

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Baloo.so
%{_includedir}/KF6/Baloo
%{_libdir}/cmake/KF6Baloo
%{_pkgconfigdir}/KF6Baloo.pc
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-baloo.git;a=log;h=master

* Fri Jul 11 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0ad5749
- updated to 6.16.0

* Fri Jun 13 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5574172
- updated to 6.15.0

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 117c6e3
- provide kf5-baloo-service to allow parallel install with kf5-baloo; release 2

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 34acadc
- updated dependencies

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 507bcdb
- files cleanup

* Wed Jun 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 153602f
- pl

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5b5e649
- updated to 6.14.0

* Tue Apr 29 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8152f3e
- relup

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 850fe61
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 269189f
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ff8067d
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ccddfbd
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4881a2a
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b8078ce
- updated to 6.8.0

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f26e898
- relup

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cfc0e03
- updated to 6.7.0

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ac2da4c
- removing unsupported locale: ie

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 748bb58
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 729fffc
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c6099a2
- relup

